Index: configure.in
===================================================================
RCS file: /usr/local/cvsroot/ao/configure.in,v
retrieving revision 1.18
diff -u -r1.18 configure.in
--- configure.in	2001/02/28 03:13:38	1.18
+++ configure.in	2001/03/28 22:20:17
@@ -168,4 +168,4 @@
 
 CFLAGS="$CFLAGS -DAO_PLUGIN_PATH=\\\"$plugindir\\\""
 
-AC_OUTPUT(Makefile src/Makefile doc/Makefile include/Makefile include/ao/Makefile include/ao/os_types.h src/plugins/Makefile src/plugins/esd/Makefile src/plugins/oss/Makefile src/plugins/alsa/Makefile src/plugins/arts/Makefile debian/Makefile)
+AC_OUTPUT(Makefile src/Makefile doc/Makefile include/Makefile include/ao/Makefile include/ao/os_types.h src/plugins/Makefile src/plugins/esd/Makefile src/plugins/oss/Makefile src/plugins/alsa/Makefile src/plugins/arts/Makefile src/plugins/irix/Makefile debian/Makefile)
Index: src/plugins/Makefile.am
===================================================================
RCS file: /usr/local/cvsroot/ao/src/plugins/Makefile.am,v
retrieving revision 1.2
diff -u -r1.2 Makefile.am
--- src/plugins/Makefile.am	2000/12/30 05:03:25	1.2
+++ src/plugins/Makefile.am	2001/03/28 22:20:17
@@ -1,4 +1,4 @@
 ## Process this file with automake to produce Makefile.in
 
 AUTOMAKE_OPTIONS = foreign
-SUBDIRS = oss esd alsa arts # solaris irix
+SUBDIRS = oss esd alsa arts irix # solaris
Index: src/plugins/irix/ao_irix.c
===================================================================
RCS file: /usr/local/cvsroot/ao/src/plugins/irix/ao_irix.c,v
retrieving revision 1.3
diff -u -r1.3 ao_irix.c
--- src/plugins/irix/ao_irix.c	2001/02/24 01:31:48	1.3
+++ src/plugins/irix/ao_irix.c	2001/03/28 22:20:17
@@ -36,12 +36,14 @@
 
 #include <ao/ao.h>
 
+#define BUFFER_SIZE 65536
 
+
 typedef struct ao_irix_internal_s {
-	static ALport alport = 0;
-	static ALconfig alconfig = 0;
-	static int bytesPerWord = 1;
-	static int nChannels = 2;
+	ALport alport;
+	ALconfig alconfig;
+	int bytesPerWord;
+	int nChannels;
 } ao_irix_internal_t;
 
 
@@ -86,26 +88,12 @@
 		return 0;
 	}
 	
-	if (alSetDevice(state->alconfig, dev) < 0) {
-		fprintf(stderr, "alSetDevice failed: %s\n", 
-			alGetErrorString(oserror()));
-		return 0;
-	}
-	
 	if (alSetSampFmt(state->alconfig, AL_SAMPFMT_TWOSCOMP) < 0) {
 		fprintf(stderr, "alSetSampFmt failed: %s\n", 
 			alGetErrorString(oserror()));
 		return 0;
 	}
 
-	state->alport = alOpenPort("AC3Decode", "w", 0);
-
-	if (!state->alport) {
-		fprintf(stderr, "alOpenPort failed: %s\n", 
-			alGetErrorString(oserror()));
-		return 0;
-	}
-
 	switch (bits) {
 	case 8:         
 		state->bytesPerWord = 1;
@@ -123,6 +111,8 @@
 		break;
 		
 	default:
+		state->bytesPerWord = 2;
+		wsize = AL_SAMPLE_16;
 		fprintf(stderr,"Irix audio: unsupported bit with %d\n", bits);
 		break;
 	}
@@ -132,10 +122,22 @@
 		return 0;
 	}
 	
+	if (alSetDevice(state->alconfig, dev) < 0) {
+		fprintf(stderr, "alSetDevice failed: %s\n", 
+			alGetErrorString(oserror()));
+		return 0;
+	}
+	
+	state->alport = alOpenPort("AC3Decode", "w", state->alconfig);
+
+	if (!state->alport) {
+		fprintf(stderr, "alOpenPort failed: %s\n", 
+			alGetErrorString(oserror()));
+		return 0;
+	}
+
 	params[0].param = AL_RATE;
 	params[0].value.ll = alDoubleToFixed((double)rate);
-	params[1].param = AL_MASTER_CLOCK;
-	params[1].value.i = AL_CRYSTAL_MCLK_TYPE;
 	if ( alSetParams(dev, params, 1) < 0) {
 		printf("alSetParams() failed: %s\n", alGetErrorString(oserror()));
 		return 0;
@@ -150,7 +152,10 @@
 
 void plugin_play(ao_internal_t *state, void* output_samples, uint_32 num_bytes)
 {
-	alWriteFrames(((ao_irix_internal_t *)state)->alport, output_samples, num_bytes); 
+	ao_irix_internal_t *s = (ao_irix_internal_t *)state;
+	alWriteFrames(((ao_irix_internal_t *)state)->alport,
+                      output_samples,
+                      num_bytes / (s->bytesPerWord * s->nChannels)); 
 }
 
 void plugin_close(ao_internal_t *state)
@@ -163,13 +168,14 @@
 	free(state);
 }
 
-int plugin_get_latency(ao_internal_t *state)
+ao_info_t *plugin_get_driver_info(void)
 {
-	/* TODO */
-	return 0;
+	return &ao_irix_info;
 }
 
-ao_info_t *plugin_get_driver_info(void)
+int plugin_get_latency(ao_internal_t *state)
 {
-	return &ao_irix_info;
+	ao_irix_internal_t *s = (ao_irix_internal_t *)state;
+	return (0);
 }
+